NTP Version Out of Date?

Asked by Allan Liska on 2016-10-04

According to apt-get I have the most recent version of NTP (from the Ubuntu package) installed on my system: 4.2.6p5. This is also listed on the Ubuntu package page (http://packages.ubuntu.com/search?keywords=ntp). However, the most current version of NTP is 4.2.8p8.

That is a pretty substantial difference. Packaged version of NTP out of date or simply numbered differently?

Thanks!

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu ntp Edit question
Assignee:
No assignee Edit question
Last query:
2016-10-04
Last reply:
2016-10-04

What is the difference in functionality?

If it is significantly different and the bug and security fixes are great then please report a bug and the package will be updated sooner rather than later.

Ubuntu is not a rolling release and packages will be left if there are no real issues with the current package

Try looking at functionality rather than just the version number. If the version in the repositories is still supported upstream then it will be unlikely to be updated.

This is common in Ubuntu were stability is champion over getting the latest packages in to the OS.

Can you help with this problem?

Provide an answer of your own, or ask Allan Liska for more information if necessary.

To post a message you must log in.